nisls(1)

NAME
nisls - list the contents of a NIS+ directory

SYNOPSIS
nisls [ -dglLmMR ] [ name... ]

DESCRIPTION
The nisls command lists the contents of the NIS+ directory (or directories) specified by name . If name is somemething besides a directory, nisls simply echoes the name. If no name is specified, nisls lists the contents of the first directory in the default NIS+ search path (which is usually the local NIS+ directory).

OPTIONS

-d  Treat NIS+ directories like other objects instead of listing their contents (in other words, show the directory alone and not what's in it).

-g  When nisls lists directory contents in long format, it shows the name of the principal that owns the object. Using this flag causes nisls to show the group owner instead.

-l  Show objects in long format. By default, nisls only prints object names. In long format, other information such as object type, owner, creation time and access rights is also displayed.

-L  Using this option enables the FOLLOW_LINKS flag when performing lookups. If name is a link, nisls will follow the link and display the linked object instead of the link itself.

-m  Display modification time instead of creating time when listing in long format.

-M  This option enables the MASTER_ONLY flag when performing lookups. This causes nisls to query the master server for the named object rather than possibly querying one of the replicas. This potentially provides more up to date information in exchange for a performance penalty if the master server is busy.

-R  List directories recursively. All subdirectories of name will be listed in addition to name itself.

ENVIRONMENT

NIS_PATH
    If this variable is set, and the NIS+ name is not fully qualified, each directory specified will be searched until the object is found (see nisdefaults(1)).

EXIT CODES

nisls returns 0 on success and 1 on failure.

SEE ALSO
nisdefaults(1), nispath(1)

AUTHOR
This version of the nisls command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>